Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.loadtest
Class WsdlLoadTest

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem<com.eviware.soapui.config.LoadTestConfig>
              com.eviware.soapui.impl.wsdl.loadtest.WsdlLoadTest

All Implemented Interfaces:
  ModelItem, LoadTest, PropertyChangeNotifier

    public class WsdlLoadTest

extends AbstractWsdlModelItem<com.eviware.soapui.config.LoadTestConfig>
implements LoadTest

TestCase implementation for LoadTests

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary
`static java.lang.String` | `HISTORYLIMIT_PROPERTY`
`static java.lang.String` | `LIMITTYPE_PROPERRY`
`static java.lang.String` | `MAXASSERTIONERRORS_PROPERTY`
`static java.lang.String` | `SAMPLEINTERVAL_PROPERRY`
`static java.lang.String` | `STARTDELAY_PROPERTY`
`static java.lang.String` | `TESTLIMIT_PROPERTY`
`static java.lang.String` | `THREADCOUNT_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`WsdlLoadTest(WsdlTestCase testCase, com.eviware.soapui.config.LoadTestConfig config)`

Method Summary
`LoadTestAssertion` | `addAssertion(java.lang.String type, java.lang.String targetStep, boolean showConfig)`
`void` | `addLoadTestListener(LoadTestListener listener)`
`void` | `addLoadTestRunListener(LoadTestRunListener listener)`
`LoadTestAssertion` | `getAssertionAt(int index)`
`int` | `getAssertionCount()`
`java.util.List<LoadTestAssertion>` | `getAssertionList()`
`boolean` | `getCalculateTPSOnTimePassed()`
`long` | `getHistoryLimit()`
`com.eviware.soapui.config.LoadTestLimitTypesConfig.Enum` | `getLimitType()`
`LoadStrategy` | `getLoadStrategy()`
`LoadTestLog` | `getLoadTestLog()`
`LoadTestRunListener[]` | `getLoadTestRunListeners()`
`long` | `getMaxAssertionErrors()`
`boolean` | `getResetStatisticsOnThreadCountChange()`
`WsdlLoadTestRunner` | `getRunner()`
`long` | `getSampleInterval()`
`int` | `getStartDelay()`
`LoadTestStatistics` | `getStatisticsModel()`
`WsdlTestCase` | `getTestCase()`
`long` | `getTestLimit()`
`long` | `getThreadCount()`
`boolean` | `isRunning()`
`void` | `release()` Release internal objects so they can remove listeners
`void` | `removeAssertion(LoadTestAssertion assertion)`
`void` | `removeLoadTestListener(LoadTestListener listener)`
`void` | `removeLoadTestRunListener(LoadTestRunListener listener)`
`void` | `resetConfigOnMove(com.eviware.soapui.config.LoadTestConfig config)`
`WsdlLoadTestRunner` | `run()`
`void` | `setCalculateTPSOnTimePassed(boolean value)`
`void` | `setHistoryLimit(long historyLimit)`
`void` | `setLimitType(com.eviware.soapui.config.LoadTestLimitTypesConfig.Enum limitType)`
`void` | `setLoadStrategy(LoadStrategy loadStrategy)`
`void` | `setMaxAssertionErrors(long testLimit)`
`void` | `setResetStatisticsOnThreadCountChange(boolean value)`
`void` | `setSampleInterval(int sampleInterval)`
`void` | `setStartDelay(int startDelay)`
`void` | `setTestLimit(long testLimit)`
`void` | `setThreadCount(long threadCount)`

Methods inherited from class com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem
`getConfig, getDescription, getIcon, getName, getParent, getSettings, getWsdlModelItemByName, onSave, setConfig, setDescription, setIcon, setName, setSettings`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getIcon, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Field Detail

### THREADCOUNT_PROPERTY

    public static final java.lang.String THREADCOUNT_PROPERTY

### STARTDELAY_PROPERTY

    public static final java.lang.String STARTDELAY_PROPERTY

### TESTLIMIT_PROPERTY

    public static final java.lang.String TESTLIMIT_PROPERTY

### HISTORYLIMIT_PROPERTY

    public static final java.lang.String HISTORYLIMIT_PROPERTY

### LIMITTYPE_PROPERRY

    public static final java.lang.String LIMITTYPE_PROPERRY

### SAMPLEINTERVAL_PROPERRY

    public static final java.lang.String SAMPLEINTERVAL_PROPERRY

### MAXASSERTIONERRORS_PROPERTY

    public static final java.lang.String MAXASSERTIONERRORS_PROPERTY

Constructor Detail

### WsdlLoadTest

    public WsdlLoadTest(WsdlTestCase testCase,
                        com.eviware.soapui.config.LoadTestConfig config)

Method Detail

### getStatisticsModel

    public LoadTestStatistics getStatisticsModel()

### getThreadCount

    public long getThreadCount()

### setThreadCount

    public void setThreadCount(long threadCount)

### getResetStatisticsOnThreadCountChange

    public boolean getResetStatisticsOnThreadCountChange()

### setResetStatisticsOnThreadCountChange

    public void setResetStatisticsOnThreadCountChange(boolean value)

### getCalculateTPSOnTimePassed

    public boolean getCalculateTPSOnTimePassed()

### setCalculateTPSOnTimePassed

    public void setCalculateTPSOnTimePassed(boolean value)

### getStartDelay

    public int getStartDelay()

### setStartDelay

    public void setStartDelay(int startDelay)

### getHistoryLimit

    public long getHistoryLimit()

### setHistoryLimit

    public void setHistoryLimit(long historyLimit)

### getTestLimit

    public long getTestLimit()

### setTestLimit

    public void setTestLimit(long testLimit)

### getMaxAssertionErrors

    public long getMaxAssertionErrors()

### setMaxAssertionErrors

    public void setMaxAssertionErrors(long testLimit)

### getSampleInterval

    public long getSampleInterval()

### setSampleInterval

    public void setSampleInterval(int sampleInterval)

### getLimitType

    public com.eviware.soapui.config.LoadTestLimitTypesConfig.Enum getLimitType()

### setLimitType

    public void setLimitType(com.eviware.soapui.config.LoadTestLimitTypesConfig.Enum limitType)

### getTestCase

    public WsdlTestCase getTestCase()

  Specified by:
    `getTestCase` in interface `LoadTest`

### run

    public WsdlLoadTestRunner run()

  Specified by:
    `run` in interface `LoadTest`

### getLoadStrategy

    public LoadStrategy getLoadStrategy()

### setLoadStrategy

    public void setLoadStrategy(LoadStrategy loadStrategy)

### addAssertion

    public LoadTestAssertion addAssertion(java.lang.String type,
                                          java.lang.String targetStep,
                                          boolean showConfig)

### removeAssertion

    public void removeAssertion(LoadTestAssertion assertion)

### getAssertionCount

    public int getAssertionCount()

### getAssertionAt

    public LoadTestAssertion getAssertionAt(int index)

### getLoadTestLog

    public LoadTestLog getLoadTestLog()

### getAssertionList

    public java.util.List<LoadTestAssertion> getAssertionList()

### addLoadTestListener

    public void addLoadTestListener(LoadTestListener listener)

### removeLoadTestListener

    public void removeLoadTestListener(LoadTestListener listener)

### addLoadTestRunListener

    public void addLoadTestRunListener(LoadTestRunListener listener)

  Specified by:
    `addLoadTestRunListener` in interface `LoadTest`

### removeLoadTestRunListener

    public void removeLoadTestRunListener(LoadTestRunListener listener)

  Specified by:
    `removeLoadTestRunListener` in interface `LoadTest`

### getLoadTestRunListeners

    public LoadTestRunListener[] getLoadTestRunListeners()

### release

    public void release()

  Release internal objects so they can remove listeners

  Overrides:
    `release` in class `AbstractWsdlModelItem<com.eviware.soapui.config.LoadTestConfig>`

### isRunning

    public boolean isRunning()

### getRunner

    public WsdlLoadTestRunner getRunner()

### resetConfigOnMove

    public void resetConfigOnMove(com.eviware.soapui.config.LoadTestConfig config)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.